import { InternError } from '../types';
export default class Formatter implements FormatterProperties {
    filterErrorStack: boolean;
    constructor(options?: FormatterOptions);
    format(error: string | Error | InternError, options?: FormatOptions): string;
    protected _getSource(tracepath: string): string;
}
export interface FormatterProperties {
    filterErrorStack: boolean;
}
export declare type FormatterOptions = Partial<FormatterProperties>;
export interface FormatOptions {
    space?: string;
}
